Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Plain View
Zookeeper >> mail # dev >> Committers: ensure you commit to the proper branch/version.


+
Patrick Hunt 2011-09-22, 17:35
Copy link to this message
-
Re: Committers: ensure you commit to the proper branch/version.
i asked mahadev about committing to 3.4.0 and he said to just do
trunk. see 1191. there was only one patch. the patch for 1192 subsumed
1191.

ben

On Thu, Sep 22, 2011 at 10:35 AM, Patrick Hunt <[EMAIL PROTECTED]> wrote:
> When committing a change be sure where you are committing it.
>
> Mahadev recently branched for 3.4, so if a jira is expected for 3.4.0
> be sure to commit it to branch-3.4.
>
> Ben recently committed ZOOKEEPER 1191 and 1192 to trunk only. This
> means the fixes will only be available in 3.5.0, not 3.4.0.
>
> Be sure to check the "fix version" when committing - notice that 1192
> is marked for both 3.4.0 and 3.5.0 (trunk) branches, which 1191 is
> marked for just 3.4.0 (not 3.5.0/trunk, which it seems likely it
> should also be applied to).
>
>
> Also, generally it's a bad practice to commit two jiras in one commit.
> We should try to commit one patch to one commit. This simplifies any
> issues we might have to handle later - such as rolling back a
> particular change.
>
> Thanks,
>
> Patrick
>
+
Patrick Hunt 2011-09-22, 17:39